Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.dsig
Class XSAlgorithmIdentifier

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.dsig.XSAlgorithmIdentifier`

Direct Known Subclasses:
  XEEncryptionMethod

public class XSAlgorithmIdentifier
extends XMLElement

Class representing a XML-DSIG algorithm identifier element.

Standard algorithm URI constants can be found in `XMLURI`, including:

- Canonicalization Methods:
  - XML-C14N `XMLURI.alg_c14n`
  - XML-C14N With Comments `XMLURI.alg_c14nWithComments`
  - XML-C14N `Exclusive`
  - Exclusive XML-C14N With Comments `XMLURI.alg_exclusiveC14NWithComments`
- Digest Methods:
  - SHA-1 `XMLURI.alg_sha1`
  - SHA-256 `XMLURI.alg_sha256`
  - SHA-384 `XMLURI.alg_sha384`
  - SHA-512 `XMLURI.alg_sha512`
  - MD5 `XMLURI.alg_md5`
- Signature Methods:
  - DSA With SHA-1 `XMLURI.alg_dsaWithSHA1`
  - RSA With SHA-1 `XMLURI.alg_rsaWithSHA1`
  - RSA With MD5 `XMLURI.alg_rsaWithMD5`
  - HMAC With SHA-1 `XMLURI.alg_hmacSHA1`
  - HMAC With MD5 `XMLURI.alg_hmacMD5`
- Signature Transforms:
  - Base-64 Decode `XMLURI.alg_base64`
  - Enveloped Signature `XMLURI.alg_envelopedSignature`
  - XPath Filter `XMLURI.alg_xpath`
  - Stylesheet (XSLT) Transform `XMLURI.alg_xslt`
  - Binary Decryption `XMLURI.alg_decryptBinary`
  - XML Decryption `XMLURI.alg_decryptXML`
  - Any of the Canonicalization algorithms may also serve as a Transform algorithm.
- Encryption Methods:
  - AES-128 `XMLURI.alg_aes128_CBC`
  - AES-192 `XMLURI.alg_aes192_CBC`
  - AES-256 `XMLURI.alg_aes256_CBC`
  - Triple-DES `XMLURI.alg_tripleDES_CBC`
- Key Wrapping/Transport Methods:
  - AES-128 `XMLURI.alg_kwAES128`
  - AES-192 `XMLURI.alg_kwAES192`
  - AES-256 `XMLURI.alg_kwAES256`
  - Triple-DES `XMLURI.alg_kwTripleDES`
  - RSA-OAEP With MGF1 `XMLURI.alg_rsaOAEP_MGF1`
  - RSA-PKCS#1 v1.5 `XMLURI.alg_rsaV15`
- Key Agreement Methods:
  - Diffie-Hellman `XMLURI.alg_dh`

See Also:
  `XSSignature.createAlgorithmIdentifier(java.lang.String, java.lang.String)`

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`XSAlgorithmIdentifier(org.w3c.dom.Document owner, java.lang.String tagName)` Creates a new `XSAlgorithmIdentifier` instance.
`XSAlgorithmIdentifier(org.w3c.dom.Document owner, java.lang.String tagName, java.lang.String algorithm)` Creates a new `XSAlgorithmIdentifier` instance.
`XSAlgorithmIdentifier(org.w3c.dom.Element element)` Creates a new `XSAlgorithmIdentifier` instance from the given Element node.
`XSAlgorithmIdentifier(org.w3c.dom.Element element, java.lang.String systemId)` Creates a new `XSAlgorithmIdentifier` instance from the given Element node.

Method Summary
`void` | `addParameter(org.w3c.dom.Node param)` Adds an explicit parameter element to this algorithm ID.
`void` | `addParameter(java.lang.String nsURI, java.lang.String name, java.lang.String value)` Adds an explicit parameter element to this algorithm ID, with the given tag name and text value.
`java.lang.String` | `getAlgorithm()` Returns the algorithm URI.
`org.w3c.dom.NodeList` | `getParameters()` Returns a list of the explicit parameter elements for this algorithm ID.
`void` | `setAlgorithm(java.lang.String algorithm)` Sets the Algorithm attribute for this algorithm ID.

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSAlgorithmIdentifier

    public XSAlgorithmIdentifier(org.w3c.dom.Element element)
                          throws org.w3c.dom.DOMException

  Creates a new `XSAlgorithmIdentifier` instance from the given Element node.
Parameters:
  `element` - An Element node in the XML document that conforms to the XML-DSIG algorithm identifier schema.

### XSAlgorithmIdentifier

    public XSAlgorithmIdentifier(org.w3c.dom.Element element,
                                 java.lang.String systemId)
                          throws org.w3c.dom.DOMException

  Creates a new `XSAlgorithmIdentifier` instance from the given Element node.
Parameters:
  `element` - An Element node in the XML document that conforms to the XML-DSIG algorithm identifier schema.
  `systemId` - The URI string system ID for this element.
Since:
  2.0
See Also:
  `XMLNode.setSystemId(java.lang.String)`

### XSAlgorithmIdentifier

    public XSAlgorithmIdentifier(org.w3c.dom.Document owner,
                                 java.lang.String tagName)
                          throws org.w3c.dom.DOMException

  Creates a new `XSAlgorithmIdentifier` instance.
Parameters:
  `owner` - The owner document of the new `XSAlgorithmIdentifier`
  `tagName` - The name of the element to be created; for example, "DigestMethod" if this `XSAlgorithmIdentifier` identifies the digest algorithm in a Signature element.

### XSAlgorithmIdentifier

    public XSAlgorithmIdentifier(org.w3c.dom.Document owner,
                                 java.lang.String tagName,
                                 java.lang.String algorithm)
                          throws org.w3c.dom.DOMException

  Creates a new `XSAlgorithmIdentifier` instance.
Parameters:
  `owner` - The owner document of the new `XSAlgorithmIdentifier`
  `tagName` - The name of the element to be created; for example, "DigestMethod" if this `XSAlgorithmIdentifier` identifies the digest algorithm in a Reference element.
  `algorithm` - The URI value of the Algorithm attribute.

Method Detail

### setAlgorithm

    public void setAlgorithm(java.lang.String algorithm)
                      throws org.w3c.dom.DOMException

  Sets the Algorithm attribute for this algorithm ID.
  Parameters:
    `algorithm` - The URI value of the Algorithm attribute.
  Throws:
    `org.w3c.dom.DOMException`

### getAlgorithm

    public java.lang.String getAlgorithm()

  Returns the algorithm URI.
  Returns:
    The URI value of the Algorithm attribute, or `null` if the attribute is missing.

### addParameter

    public void addParameter(org.w3c.dom.Node param)
                      throws org.w3c.dom.DOMException

  Adds an explicit parameter element to this algorithm ID.
  Parameters:
    `param` - An `org.w3c.dom.Node`.
  Throws:
    `org.w3c.dom.DOMException`

### addParameter

    public void addParameter(java.lang.String nsURI,
                             java.lang.String name,
                             java.lang.String value)
                      throws org.w3c.dom.DOMException

  Adds an explicit parameter element to this algorithm ID, with the given tag name and text value.
  Parameters:
    `nsURI` - The URI of the namespace in which the parameter is to be created.
    `name` - The tag name to be used for the new parameter element.
    `value` - The text value for the new parameter element.
  Throws:
    `org.w3c.dom.DOMException`

### getParameters

    public org.w3c.dom.NodeList getParameters()

  Returns a list of the explicit parameter elements for this algorithm ID.
  Returns:
    A `NodeList` containing any parameter elements in this `XSAlgorithmIdentifier`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.